Bug 737630 - Packages not found when repo sync on a directory containing RPMs (no metadata)
Summary: Packages not found when repo sync on a directory containing RPMs (no metadata)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: ---
Assignee: John Matthews
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 18:42 UTC by florent.delvaille
Modified: 2013-09-09 16:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-07 16:59:33 UTC


Attachments (Terms of Use)
/var/log/pulp.log (11.79 KB, application/x-bzip)
2011-09-12 18:42 UTC, florent.delvaille
no flags Details

Description florent.delvaille 2011-09-12 18:42:56 UTC
Created attachment 522756 [details]
/var/log/pulp.log

Description of problem:

Repo sync detects the 5326 RPMs, but after the sync, repo list returns 0 packages ...
But when checking in the /var/lib/pulp/... directory, the rpms have been correctly downloaded ...

[root@lpr-rhnln6 rhel-x86_64-server-6]# pulp-admin repo sync --id rhel6-updates -F
Sync for repository rhel6-updates started
Sync: Finished
0/5326 new items downloaded
5326/5326 existing items processed
 
Item Details:
Rpms: 5326/5326
 
[root@lpr-rhnln6 rhel-x86_64-server-6]# pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+
 
Id                      rhel6-updates            
Name                    rhel6-updates            
Feed URL                file:///nas/dvdimages/ldi6/rhel/6/updates/x86_64/RPMS/
Feed Type               local                    
Content Type            yum                      
Feed Certs              CA:No   Cert:No
Consumer Certs          CA:No   Cert:No
Architecture            noarch                  
Sync Schedule           None                    
Packages                0                        
Files                   0                        
Distributions           None                    
Publish                 True                    
Clones                  []                      
Groups                  None                    
Filters                 []                      
Notes                   {}                      
         
[root@lpr-rhnln6 rhel-x86_64-server-6]# cd /var/lib/pulp/repos/rhel6-updates/
[root@lpr-rhnln6 rhel6-updates]# ls -l | wc -l
5329

Version-Release number of selected component (if applicable):
pulp-0.0.230-3.el6.noarch

How reproducible:
# pulp-admin repo create --id rhel6-updates --feed file:///nas/dvdimages/ldi6/rhel/6/updates/x86_64/RPMS/
# pulp-admin repo sync --id rhel6-updates -F

the directory above contains only RPMs ...

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jay Dobies 2012-07-11 20:36:53 UTC
Preethi - Pleaes try to replicate this in v2.

Comment 2 Preethi Thomas 2012-11-07 16:59:33 UTC
<prad> preethi, i dont see a repodata dir in there?
<prad> preethi, thats not a yum repo, we dont support syncing without repodata
<preethi> prad, thats what the bug says https://bugzilla.redhat.com/show_bug.cgi?id=737630
<prad> preethi, yea if there is no repodata.. we dont support it
<prad> at least not yet :)


Note You need to log in before you can comment on or make changes to this bug.